<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:rich="http://richfaces.org/rich"
                xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{messages['net.ihe.gazelle.webservice.tester.ManageActorType']}"/>
    <ui:define name="body">
        <h:form id="globalForm">


            <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                <ui:define name="panel_title">
                    <h:outputText value="#{messages['net.ihe.gazelle.webservice.tester.ActorType']}"/>
                </ui:define>

                <rich:dataTable id="actorTypeTable"
                                value="#{actorTypeManager.actorTypes}" var="actorType"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="descending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Id']}</ui:define>
                        <h:outputText value="#{actorType.id}"/>
                    </g:column>
                    <g:column sortBy="#{'description'}" filterBy="#{'description'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                        <rich:inplaceInput value="#{actorType.description}" showControls="true">
                            <a4j:ajax event="change" listener="#{actorTypeManager.merge(actorType)}"/>
                        </rich:inplaceInput>
                    </g:column>
                    <g:column sortBy="#{'xdstools_name'}" filterBy="#{'xdstools_name'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.XdstoolsName']}</ui:define>
                        <rich:inplaceInput value="#{actorType.xdstoolsName}" showControls="true">
                            <a4j:ajax event="change" listener="#{actorTypeManager.merge(actorType)}"/>
                        </rich:inplaceInput>
                    </g:column>
                    <g:column sortBy="#{'tm_name'}" filterBy="#{'tm_name'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.webservice.tester.RoleInTestNameInTM']}</ui:define>
                        <rich:inplaceInput value="#{actorType.tmName}" showControls="true">
                            <a4j:ajax event="change" listener="#{actorTypeManager.merge(actorType)}"/>
                        </rich:inplaceInput>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="actorTypeTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

                <ui:define name="panel_footer">
                    <a4j:commandButton styleClass="gzl-btn-blue" value="#{messages['net.ihe.gazelle.webservice.tester.AddAActorType']}"
                                       actionListener="#{actorTypeManager.addNewActorType()}"
                                       render="newActorTypeForm"/>
                </ui:define>
            </ui:decorate>
        </h:form>

        <h:form id="newActorTypeForm">
            <gri:panel rendered="#{actorTypeManager.isAddActorType()}">


                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:param name="id" value="descriptionInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.simulators.Description']}</ui:define>
                    <h:inputText id="descriptionInput" value="#{actorTypeManager.newActorType.description}"
                                 required="true" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:param name="id" value="xdsNameInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.XdstoolsName']}</ui:define>
                    <h:inputText id="xdsNameInput" value="#{actorTypeManager.newActorType.xdstoolsName}"
                                 required="true" styleClass="form-control"/>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:param name="id" value="tmNameInput"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.webservice.tester.RoleInTestNameInTM']}</ui:define>
                    <h:inputText id="tmNameInput" value="#{actorTypeManager.newActorType.tmName}"
                                 required="true" styleClass="form-control"/>
                </s:decorate>


                <f:facet name="footer">
                    <a4j:commandButton id="mergeActorType" styleClass="gzl-btn-green" value="#{messages['net.ihe.gazelle.webservice.tester.Validate']}"
                                       actionListener="#{actorTypeManager.merge()}"
                                       render="globalForm, newActorTypeForm"/>
                    <a4j:commandButton id="cancel" styleClass="gzl-btn" value="#{messages['users.Cancel']}"
                                       actionListener="#{actorTypeManager.cancel()}"
                                       render="globalForm, newActorTypeForm" immediate="true"/>
                </f:facet>

            </gri:panel>
        </h:form>

    </ui:define>

</ui:composition>
